
QGIS Application - Bug report #820

QGIS doesn't classify a theme by an attribute

2007-11-19 11:06 AM - Redmine Admin

Status: Closed

Priority: Low

Assignee: nobody -

Category: Build/Install

Affected QGIS version: Regression?: No

Operating System: Debian Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 10879

Description

When I classify a theme in my Forest Management Unit SHAPE file by the SEC_NAME attribute QGIS shows the classification in the

Layer Properties window but it doesn't apply the classification to the legend in the main window when I click either the OK or the APPLY

buttons in the Layer Properties window.

History

#1 - 2007-11-19 11:09 AM - Jürgen Fischer

I suppose you're using the unique value renderer.  You need to hit 'Classify'.  Then the missing classes are added and you can define how the should be

renderer.

#2 - 2007-11-19 11:13 AM - Redmine Admin

Replying to [comment:1 jef]:

I suppose you're using the unique value renderer.  You need to hit 'Classify'.  Then the missing classes are added and you can define how the

should be renderer.

Jef:

     that's how I was doing it. The problem comes when I try and have the classification saved into the main window.

Bob

#3 - 2007-11-19 12:04 PM - Jürgen Fischer

testcase see #789

#4 - 2007-11-21 11:19 PM - Marco Hugentobler

- Resolution set to fixed

- Status changed from Open to Closed

Hi Bob,

I tested it on win with the release version and with the current svn version. This problem appears in the release version, but seems to be fixed in the svn

version.
Marco

#5 - 2009-08-22 12:52 AM - Anonymous

Milestone Version 0.9.1 deleted
